GeodesicProj.cpp File Reference

Command line utility for geodesic projections. More...

`#include <iostream>`
`#include <string>`
`#include <sstream>`
`#include <fstream>`
`#include <GeographicLib/Geodesic.hpp>`
`#include <GeographicLib/AzimuthalEquidistant.hpp>`
`#include <GeographicLib/CassiniSoldner.hpp>`
`#include <GeographicLib/Gnomonic.hpp>`
`#include <GeographicLib/DMS.hpp>`
`#include <GeographicLib/Utility.hpp>`
`#include "GeodesicProj.usage"`

Go to the source code of this file.

## Functions

int | main (int argc, const char *const argv[])

## Detailed Description

Command line utility for geodesic projections.

Copyright (c) Charles Karney (2009-2017) karne.nosp@m.y@al.nosp@m.um.mi.nosp@m.t.ed.nosp@m.u and licensed under the MIT/X11 License. For more information, see https://geographiclib.sourceforge.io/

See the man page for usage information.

Definition in file GeodesicProj.cpp.

## Function Documentation

## main()

int main | ( | int | argc,
|  | const char *const | argv[]
| ) |  |

Definition at line 31 of file GeodesicProj.cpp.

References GeographicLib::CassiniSoldner::Forward(), GeographicLib::AzimuthalEquidistant::Forward(), GeographicLib::Gnomonic::Forward(), GeographicLib::AzimuthalEquidistant::Reverse(), GeographicLib::Gnomonic::Reverse(), and GeographicLib::CassiniSoldner::Reverse().